Name:           lierolibre
Version:        0.5
Release:        %mkrel 33
Summary:        Old-school duel shooter in wormholes based on the classic Liero game
Group:          Games/Shooter
License:        BSD and WTFPL
URL:            https://launchpad.net/lierolibre
Source0:        https://launchpad.net/lierolibre/trunk/%{version}/+download/%{name}-%{version}.tar.xz
Patch0:         lierolibre-0.5-mga-cfg-utf8.patch
Patch1:         adapt-to-new-libconfig.patch
### for arm build (patch2,3,4)
Patch2:         0001-Use-unaligned-access-define-over-checking-arch.patch
Patch3:         0002-At-least-try-building-for-other-archs-than-x86.patch
Patch4:         0003-Remove-unknown-arch-warning.patch

BuildRequires:  boost-devel
BuildRequires:  imagemagick
BuildRequires:  pkgconfig(libconfig++)
BuildRequires:  pkgconfig(sdl)
BuildRequires:  pkgconfig(SDL_mixer)
BuildRequires:  sox

%description
Liero is a simple game. Pick your five weapons, and unleash your inner fury.
The game is always played one versus one on a map of your choice, and yes,
you have to play with someone who is right next to you.

To shoot is of course easy enough to figure out, but if you want to step up
your game, you need to figure out things like how to swing yourself to safety
with the ninja rope, to use timed weapons for area denial, to hunt without
being hunted, to ambush, hit and run, and control that darn guided missile.

Lierolibre is a 100% free fork of Liero, and stays true to the original
gameplay.

%prep
%setup -q
%autopatch -p1
sed -i -e 's/Name=lierolibre/Name=Lierolibre/g' data/lierolibre.desktop

%build
%configure \
        --bindir=%{_gamesbindir} \
        --datadir=%{_gamesdatadir}
%make_build

%install
%make_install

%files
%doc ChangeLog README NEWS AUTHORS
%{_datadir}/applications/%{name}.desktop
%{_gamesbindir}/%{name}*
%{_gamesdatadir}/%{name}/*
%{_iconsdir}/hicolor/scalable/apps/%{name}.svg
%{_libexecdir}/%{name}/%{name}
%{_mandir}/man6/*


%changelog
* Tue Jul 01 2025 umeabot <umeabot> 0.5-33.mga10
+ Revision: 2235849
- Mageia 10 Mass Rebuild

* Sun Feb 09 2025 wally <wally> 0.5-32.mga10
+ Revision: 2146247
- rebuild for boost 1.87.0

* Fri Sep 13 2024 wally <wally> 0.5-31.mga10
+ Revision: 2095492
- rebuild for boost 1.86.0

* Wed Jun 19 2024 wally <wally> 0.5-30.mga10
+ Revision: 2075365
- rebuild for boost 1.85.0

* Fri Jan 12 2024 wally <wally> 0.5-29.mga10
+ Revision: 2030565
- rebuild for boost 1.84.0

* Wed Sep 27 2023 wally <wally> 0.5-28.mga10
+ Revision: 1991468
- rebuild for boost 1.83.0

* Sat Dec 24 2022 wally <wally> 0.5-27.mga9
+ Revision: 1926502
- rebuild for boost 1.81.0

* Sun Jul 03 2022 wally <wally> 0.5-26.mga9
+ Revision: 1867282
- rebuild for boost 1.79.0

* Sat Apr 02 2022 umeabot <umeabot> 0.5-25.mga9
+ Revision: 1840081
- Mageia 9 Mass Rebuild

* Sun Dec 19 2021 wally <wally> 0.5-24.mga9
+ Revision: 1762623
- rebuild for boost 1.78.0

* Thu Sep 09 2021 wally <wally> 0.5-23.mga9
+ Revision: 1744652
- rebuild for boost 1.77.0

* Fri May 14 2021 wally <wally> 0.5-22.mga9
+ Revision: 1722987
- rebuild for boost 1.76.0

* Thu Dec 31 2020 wally <wally> 0.5-21.mga8
+ Revision: 1666784
- rebuild for boost 1.75.0

* Sun Dec 20 2020 wally <wally> 0.5-20.mga8
+ Revision: 1662026
- rebuild for boost 1.74.0

* Sun May 03 2020 wally <wally> 0.5-19.mga8
+ Revision: 1578079
- rebuild for boost 1.73.0

* Wed Feb 19 2020 umeabot <umeabot> 0.5-18.mga8
+ Revision: 1544805
- Mageia 8 Mass Rebuild

* Sun Jan 26 2020 wally <wally> 0.5-17.mga8
+ Revision: 1483396
- rebuild for boost 1.72.0
- replace deprecated %%configure2_5x

* Tue Oct 16 2018 wally <wally> 0.5-16.mga7
+ Revision: 1321061
- rebuild for new boost 1.68.0

* Sun Sep 23 2018 umeabot <umeabot> 0.5-15.mga7
+ Revision: 1299297
- Mageia 7 Mass Rebuild

* Fri Apr 06 2018 kekepower <kekepower> 0.5-14.mga7
+ Revision: 1215612
- Rebuild for new libconfig

* Mon Dec 25 2017 wally <wally> 0.5-13.mga7
+ Revision: 1184758
- rebuild for new boost

* Tue Nov 21 2017 tv <tv> 0.5-12.mga7
+ Revision: 1178333
- rebuild for boost 1.65

* Sun Sep 17 2017 tv <tv> 0.5-11.mga7
+ Revision: 1154975
- rebuild with latest boost

* Tue Jan 19 2016 daviddavid <daviddavid> 0.5-10.mga6
+ Revision: 925850
- add 3 patches from debian to try building for other archs than x86 and x86_64

* Tue Jan 19 2016 daviddavid <daviddavid> 0.5-9.mga6
+ Revision: 925846
- add patch1 from debian to adapt to new libconfig++9

* Sat Dec 26 2015 daviddavid <daviddavid> 0.5-8.mga6
+ Revision: 915371
- rebuild for new boost 1.60.0

* Sun Sep 27 2015 daviddavid <daviddavid> 0.5-7.mga6
+ Revision: 884293
- rebuild for new boost 1.59.0

* Sat Aug 29 2015 cjw <cjw> 0.5-6.mga6
+ Revision: 871005
- rebuild with gcc 5

* Sun Aug 02 2015 daviddavid <daviddavid> 0.5-5.mga6
+ Revision: 860572
- rebuild for new boost-1.58.0

* Wed Oct 15 2014 umeabot <umeabot> 0.5-4.mga5
+ Revision: 746405
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.5-3.mga5
+ Revision: 681923
- Mageia 5 Mass Rebuild

* Thu May 22 2014 akien <akien> 0.5-2.mga5
+ Revision: 625059
- Fix capitalization in desktop file

* Tue Feb 25 2014 akien <akien> 0.5-1.mga5
+ Revision: 597218
- imported package lierolibre

